*,*::before,*::after{box-sizing:inherit}html{box-sizing:border-box}body{margin:0;font-family:'IBM Plex Sans','Open Sans',sans-serif;color:#333;line-height:1.5}a{color:#348fe2;text-decoration:none}a:hover,a:active{text-decoration:underline}code,kbd,pre,samp{font-family:'IBM Plex Mono',Menlo,Monaco,Consolas,'Courier New',monospace}pre{display:block;font-size:.875em;border-radius:.2rem;overflow:auto}li code,p code,td code{padding:.2rem .2rem;font-size:.875em;background-color:#f7f7f9;border-radius:.2rem}kbd{padding:.2rem .4rem;font-size:.875em;color:#fff;background-color:#333;border-radius:.2rem}hr{margin:1rem 0;color:inherit;background-color:currentColor;border:0;opacity:.25}hr:not([size]){height:1px}h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6{font-weight:500;line-height:1.125}h1,.h1{font-size:36px}h2,.h2{font-size:30px}h3,.h3{font-size:24px}h4,.h4{font-size:20px}h5,.h5{font-size:16px}h6,.h6{font-size:14px}small,.small{font-size:.875em}.container{max-width:1140px;margin:0 auto;padding-left:.75rem;padding-right:.75rem}.row{display:flex;flex-wrap:wrap;margin-left:-0.75rem;margin-right:-0.75rem}.col,.col-1,.col-2,.col-3,.col-4,.col-5,.col-6,.col-7,.col-8,.col-9,.col-10,.col-11,.col-12{position:relative;width:100%;padding-left:.75rem;padding-right:.75rem}@media(min-width: 576px){.col{flex:1 0 0%}.col-1{flex:0 0 8.3333333333%;max-width:8.3333333333%}.col-offset-1{margin-left:8.3333333333%}.col-2{flex:0 0 16.6666666667%;max-width:16.6666666667%}.col-offset-2{margin-left:16.6666666667%}.col-3{flex:0 0 25%;max-width:25%}.col-offset-3{margin-left:25%}.col-4{flex:0 0 33.3333333333%;max-width:33.3333333333%}.col-offset-4{margin-left:33.3333333333%}.col-5{flex:0 0 41.6666666667%;max-width:41.6666666667%}.col-offset-5{margin-left:41.6666666667%}.col-6{flex:0 0 50%;max-width:50%}.col-offset-6{margin-left:50%}.col-7{flex:0 0 58.3333333333%;max-width:58.3333333333%}.col-offset-7{margin-left:58.3333333333%}.col-8{flex:0 0 66.6666666667%;max-width:66.6666666667%}.col-offset-8{margin-left:66.6666666667%}.col-9{flex:0 0 75%;max-width:75%}.col-offset-9{margin-left:75%}.col-10{flex:0 0 83.3333333333%;max-width:83.3333333333%}.col-offset-10{margin-left:83.3333333333%}.col-11{flex:0 0 91.6666666667%;max-width:91.6666666667%}.col-offset-11{margin-left:91.6666666667%}.col-12{flex:0 0 100%;max-width:100%}.col-offset-12{margin-left:100%}.cols-10>.col-1{flex:0 0 10%;max-width:10%}.cols-10>.col-offset-1{margin-left:10%}.cols-10>.col-2{flex:0 0 20%;max-width:20%}.cols-10>.col-offset-2{margin-left:20%}.cols-10>.col-3{flex:0 0 30%;max-width:30%}.cols-10>.col-offset-3{margin-left:30%}.cols-10>.col-4{flex:0 0 40%;max-width:40%}.cols-10>.col-offset-4{margin-left:40%}.cols-10>.col-5{flex:0 0 50%;max-width:50%}.cols-10>.col-offset-5{margin-left:50%}.cols-10>.col-6{flex:0 0 60%;max-width:60%}.cols-10>.col-offset-6{margin-left:60%}.cols-10>.col-7{flex:0 0 70%;max-width:70%}.cols-10>.col-offset-7{margin-left:70%}.cols-10>.col-8{flex:0 0 80%;max-width:80%}.cols-10>.col-offset-8{margin-left:80%}.cols-10>.col-9{flex:0 0 90%;max-width:90%}.cols-10>.col-offset-9{margin-left:90%}.cols-10>.col-10{flex:0 0 100%;max-width:100%}.cols-10>.col-offset-10{margin-left:100%}}.row.g-0{margin-left:0 !important;margin-right:0 !important}.row.g-0>[class*=col]{padding-left:0 !important;padding-right:0 !important}.row.g-4{margin-left:-2px !important;margin-right:-2px !important}.row.g-4>[class*=col]{padding-left:2px !important;padding-right:2px !important}.row.g-8{margin-left:-4px !important;margin-right:-4px !important}.row.g-8>[class*=col]{padding-left:4px !important;padding-right:4px !important}.row.g-12{margin-left:-6px !important;margin-right:-6px !important}.row.g-12>[class*=col]{padding-left:6px !important;padding-right:6px !important}.row.g-16{margin-left:-8px !important;margin-right:-8px !important}.row.g-16>[class*=col]{padding-left:8px !important;padding-right:8px !important}.row.g-20{margin-left:-10px !important;margin-right:-10px !important}.row.g-20>[class*=col]{padding-left:10px !important;padding-right:10px !important}.row.g-24{margin-left:-12px !important;margin-right:-12px !important}.row.g-24>[class*=col]{padding-left:12px !important;padding-right:12px !important}.row.g-28{margin-left:-14px !important;margin-right:-14px !important}.row.g-28>[class*=col]{padding-left:14px !important;padding-right:14px !important}.row.g-32{margin-left:-16px !important;margin-right:-16px !important}.row.g-32>[class*=col]{padding-left:16px !important;padding-right:16px !important}.media{display:flex;align-items:flex-start}.media-body{flex:1}.media-left{padding-right:1rem}.media-right{padding-left:1rem}.media-heading{margin-top:0;margin-bottom:.5rem}.media-content{font-size:.875rem}.avatar{display:inline-block;border-radius:100%;overflow:hidden}.avatar img{display:block}.btn{display:inline-block;padding:.25rem .75rem;text-align:center;text-decoration:none;vertical-align:middle;line-height:1.5;font-size:1rem;border:2px solid transparent;border-radius:6px;cursor:pointer;outline:none}.btn:hover,.btn:focus,.btn:active{text-decoration:none}.btn.default{color:#fff;background-color:#b6c2c9}.btn.default:hover{background-color:#a7b6be}.btn.default:focus{background-color:#a7b6be;box-shadow:0 0 0 .25rem rgba(182,194,201,.5)}.btn.default:active{background-color:#a7b6be}.btn.primary{color:#fff;background-color:#348fe2}.btn.primary:hover{background-color:#2083dd}.btn.primary:focus{background-color:#2083dd;box-shadow:0 0 0 .25rem rgba(52,143,226,.5)}.btn.primary:active{background-color:#2083dd}.btn.info{color:#fff;background-color:#49b6d6}.btn.info:hover{background-color:#34aed1}.btn.info:focus{background-color:#34aed1;box-shadow:0 0 0 .25rem rgba(73,182,214,.5)}.btn.info:active{background-color:#34aed1}.btn.success{color:#fff;background-color:#84b547}.btn.success:hover{background-color:#77a340}.btn.success:focus{background-color:#77a340;box-shadow:0 0 0 .25rem rgba(132,181,71,.5)}.btn.success:active{background-color:#77a340}.btn.danger{color:#fff;background-color:#ff5b57}.btn.danger:hover{background-color:#ff423e}.btn.danger:focus{background-color:#ff423e;box-shadow:0 0 0 .25rem rgba(255,91,87,.5)}.btn.danger:active{background-color:#ff423e}.btn.warning{color:#fff;background-color:#f59c1a}.btn.warning:hover{background-color:#eb900a}.btn.warning:focus{background-color:#eb900a;box-shadow:0 0 0 .25rem rgba(245,156,26,.5)}.btn.warning:active{background-color:#eb900a}.btn.inverted{color:#fff;background-color:#2d353c}.btn.inverted:hover{background-color:#22282d}.btn.inverted:focus{background-color:#22282d;box-shadow:0 0 0 .25rem rgba(45,53,60,.5)}.btn.inverted:active{background-color:#22282d}.btn.link{color:#348fe2;background-color:transparent;border-color:transparent}.btn.link:hover{color:#1c75c7;text-decoration:underline;background-color:transparent}.btn.link:focus{color:#1c75c7;text-decoration:underline;background-color:transparent;box-shadow:0 0 0 .25rem rgba(52,143,226,.5)}.btn.link:active{color:#1c75c7;text-decoration:underline;background-color:transparent}.btn.outline{background-color:transparent}.btn.outline.default{color:#b6c2c9;border-color:#b6c2c9}.btn.outline.default:hover{color:#fff;background-color:#b6c2c9}.btn.outline.default:focus{color:#fff;background-color:#b6c2c9}.btn.outline.default:active{color:#fff;background-color:#b6c2c9}.btn.outline.primary{color:#348fe2;border-color:#348fe2}.btn.outline.primary:hover{color:#fff;background-color:#348fe2}.btn.outline.primary:focus{color:#fff;background-color:#348fe2}.btn.outline.primary:active{color:#fff;background-color:#348fe2}.btn.outline.info{color:#49b6d6;border-color:#49b6d6}.btn.outline.info:hover{color:#fff;background-color:#49b6d6}.btn.outline.info:focus{color:#fff;background-color:#49b6d6}.btn.outline.info:active{color:#fff;background-color:#49b6d6}.btn.outline.success{color:#84b547;border-color:#84b547}.btn.outline.success:hover{color:#fff;background-color:#84b547}.btn.outline.success:focus{color:#fff;background-color:#84b547}.btn.outline.success:active{color:#fff;background-color:#84b547}.btn.outline.danger{color:#ff5b57;border-color:#ff5b57}.btn.outline.danger:hover{color:#fff;background-color:#ff5b57}.btn.outline.danger:focus{color:#fff;background-color:#ff5b57}.btn.outline.danger:active{color:#fff;background-color:#ff5b57}.btn.outline.warning{color:#f59c1a;border-color:#f59c1a}.btn.outline.warning:hover{color:#fff;background-color:#f59c1a}.btn.outline.warning:focus{color:#fff;background-color:#f59c1a}.btn.outline.warning:active{color:#fff;background-color:#f59c1a}.btn.outline.inverted{color:#2d353c;border-color:#2d353c}.btn.outline.inverted:hover{color:#fff;background-color:#2d353c}.btn.outline.inverted:focus{color:#fff;background-color:#2d353c}.btn.outline.inverted:active{color:#fff;background-color:#2d353c}.btn.fluid{display:block;width:100%}.btn.pill{border-radius:9999px}.btns{position:relative;display:inline-block;vertical-align:middle}.btns>.btn{position:relative;float:left;border-radius:0;margin-left:-2px}.btns>.btn:first-child{margin-left:0;border-top-left-radius:6px;border-bottom-left-radius:6px}.btns>.btn:last-child{border-top-right-radius:6px;border-bottom-right-radius:6px}.btns.vertical>.btn{position:relative;display:block;float:none;border-radius:0;width:100%;max-width:100%;margin-left:0;margin-top:-2px}.btns.vertical>.btn:first-child{margin-top:0;border-top-left-radius:6px;border-top-right-radius:6px}.btns.vertical>.btn:last-child{border-bottom-left-radius:6px;border-bottom-right-radius:6px}input[type=file]{display:block}textarea{resize:vertical}label{display:inline-block;margin-bottom:.25rem}.form-control{display:block;width:100%;min-height:2.25rem;padding:.25rem .5rem;border:2px solid rgba(0,0,0,.12);border-radius:6px;background-color:#fff;background-clip:padding-box;font-size:1rem;line-height:1.5;color:#333}.form-control:focus{outline:0;border-color:#348fe2;box-shadow:0 0 0 .25rem rgba(52,143,226,.25)}.form-control[disabled]{cursor:not-allowed}.form-control:disabled,.form-control[readonly]{background-color:#e9ecef;opacity:1}.form-label{padding-top:.25rem;padding-bottom:.25rem;margin-bottom:0}.form-group{margin-bottom:1rem}.form-inline{display:flex;flex-flow:row wrap;align-items:center}.form-inline input[type=file],.form-inline .form-group{display:flex;flex:0 0 auto;flex-flow:row wrap;align-items:center}.form-inline .form-control{display:inline-block;width:auto;vertical-align:middle}.checkbox,.radio{position:relative;display:block;margin-top:.25rem;margin-bottom:.25rem;padding-left:1.5rem}.checkbox label,.radio label{position:relative;display:inline-block;min-height:1.5rem;margin-bottom:0;font-weight:400;cursor:pointer}.checkbox.disabled label,.radio.disabled label{cursor:not-allowed}.checkbox.inline,.radio.inline{display:inline-block;margin-top:0;margin-bottom:0;margin-right:1rem;vertical-align:middle;font-weight:400}.checkbox input[type=checkbox],.radio input[type=radio]{position:absolute;margin-top:.25rem;margin-left:-1.5rem}fieldset[disabled] .form-control,fieldset[disabled] .checkbox label,fieldset[disabled] .radio label{cursor:not-allowed}.form-text{margin-top:.25rem;font-size:.875em;color:#777}table{background:transparent;border-spacing:0;border-collapse:collapse}.table{width:100%;max-width:100%;margin-bottom:1rem;text-align:left;line-height:1.5}.table th{padding:.75rem .5rem}.table td{padding:.5rem}.table>thead{background-color:rgba(100,100,150,.04)}.table>thead>tr>th,.table>thead>tr>td{border-bottom:1px solid rgba(0,0,0,.12)}.table>tfoot{background-color:rgba(100,100,150,.04)}.table>tfoot>tr>th,.table>tfoot>tr>td{border-top:1px solid rgba(0,0,0,.12)}.table>tbody>tr+tr>th,.table>tbody>tr+tr>td{border-top:1px solid rgba(0,0,0,.12)}.table.rounded{max-width:none;border-collapse:separate;border-radius:6px}.table.bordered{border:2px solid rgba(0,0,0,.12)}.table.bordered>thead>tr>th+th,.table.bordered>thead>tr>td+td,.table.bordered>tbody>tr>th+th,.table.bordered>tbody>tr>td+td,.table.bordered>tfoot>tr>th+th,.table.bordered>tfoot>tr>td+td{border-left:1px solid rgba(0,0,0,.12)}.table.striped>tbody>tr:nth-of-type(2n + 2){background-color:rgba(100,100,150,.04)}.table.hover>tbody>tr:hover{background-color:rgba(100,100,150,.04)}.table-overflow{min-height:.01%;overflow-x:auto;-webkit-overflow-scrolling:touch}.box{padding:.5rem 1rem;margin-bottom:1rem;border:1px solid rgba(0,0,0,.12);border-radius:.25rem;background-color:#fff}.boxes{border:2px solid rgba(0,0,0,.12);border-radius:6px;margin-bottom:1rem}.boxes>.box{border-width:0;border-radius:0;margin-bottom:0}.boxes>.box:first-child{border-top-left-radius:4px !important;border-top-right-radius:4px !important}.boxes>.box:last-child{border-bottom-left-radius:4px !important;border-bottom-right-radius:4px !important}.boxes>.box.box-header{background-color:rgba(100,100,150,.04)}.boxes>.box.box-body{padding-top:1rem;padding-bottom:1rem}.boxes>.box.box-footer{background-color:rgba(100,100,150,.04)}.boxes .box+.box{border-top-width:1px}.boxes .boxes{margin-bottom:0}.boxes.transparent{background-color:transparent}.boxes.transparent .box{background-color:transparent}.boxes.inverted{color:#fff;background-color:#2d353c;border-color:rgba(0,0,0,.88)}.boxes.inverted .box{background-color:#2d353c;border-color:rgba(0,0,0,.88)}.boxes.secondary{border-width:0}.boxes.secondary>.box{border-width:1px;border-radius:.25rem}.boxes.secondary>.box.box-header{background-color:transparent;margin-bottom:0;border-width:0;border-radius:0 !important}.boxes.secondary>.box.box-body{padding-top:1rem;padding-bottom:1rem;margin-bottom:0}.boxes.secondary>.box.box-footer{background-color:transparent;border-width:0;border-radius:0 !important}.clearfix::before,.clearfix::after{content:' ';display:table}.clearfix::after{clear:both}.bg-default{background-color:#b6c2c9 !important}.bg-primary{background-color:#348fe2 !important}.bg-info{background-color:#49b6d6 !important}.bg-success{background-color:#84b547 !important}.bg-danger{background-color:#ff5b57 !important}.bg-warning{background-color:#f59c1a !important}.bg-inverted{background-color:#2d353c !important}.bg-white{background-color:#fff !important}.bg-transparent{background-color:transparent !important}.border-default{border-color:#b6c2c9 !important}.border-primary{border-color:#348fe2 !important}.border-info{border-color:#49b6d6 !important}.border-success{border-color:#84b547 !important}.border-danger{border-color:#ff5b57 !important}.border-warning{border-color:#f59c1a !important}.border-inverted{border-color:#2d353c !important}.border-transparent{border-color:transparent !important}.text-default{color:#b6c2c9 !important}.text-primary{color:#348fe2 !important}.text-info{color:#49b6d6 !important}.text-success{color:#84b547 !important}.text-danger{color:#ff5b57 !important}.text-warning{color:#f59c1a !important}.text-inverted{color:#2d353c !important}.text-white{color:#fff !important}.text-muted{color:#777 !important}

:root {
  --syntax-alert: #d20f39;
  --syntax-annotation: #fe640b;
  --syntax-attribute: #df8e1d;
  --syntax-basen: #40a02b;
  --syntax-builtin: #1e66f5;
  --syntax-controlflow: #1e66f5;
  --syntax-char: #04a5e5;
  --syntax-constant: #fe640b;
  --syntax-comment: #9ca0b0;
  --syntax-commentvar: #7c7f93;
  --syntax-documentation: #9ca0b0;
  --syntax-datatype: #df8e1d;
  --syntax-decval: #40a02b;
  --syntax-error: #d20f39;
  --syntax-extension: #4c4f69;
  --syntax-float: #40a02b;
  --syntax-function: #1e66f5;
  --syntax-import: #40a02b;
  --syntax-information: #04a5e5;
  --syntax-keyword: #1e66f5;
  --syntax-operator: #179299;
  --syntax-other: #1e66f5;
  --syntax-preprocessor: #ea76cb;
  --syntax-specialchar: #04a5e5;
  --syntax-specialstring: #ea76cb;
  --syntax-string: #40a02b;
  --syntax-variable: #1e66f5;
  --syntax-verbatimstring: #40a02b;
  --syntax-warning: #df8e1d;
}

/* Pandoc syntax highlighting classes. */
code span.al { color: var(--syntax-alert); font-weight: bold; }                           /* alert          */
code span.an { color: var(--syntax-annotation); font-weight: bold; font-style: italic; }  /* annotation     */
code span.at { color: var(--syntax-attribute); }                                          /* attribute      */
code span.bn { color: var(--syntax-basen); }                                              /* basen          */
code span.bu { color: var(--syntax-builtin); }                                            /* builtin        */
code span.cf { color: var(--syntax-controlflow); font-weight: bold; }                     /* controlflow    */
code span.ch { color: var(--syntax-char); }                                               /* char           */
code span.cn { color: var(--syntax-constant); }                                           /* constant       */
code span.co { color: var(--syntax-comment); font-style: italic; }                        /* comment        */
code span.cv { color: var(--syntax-commentvar); font-weight: bold; font-style: italic; }  /* commentvar     */
code span.do { color: var(--syntax-documentation); font-style: italic; }                  /* documentation  */
code span.dt { color: var(--syntax-datatype); }                                           /* datatype       */
code span.dv { color: var(--syntax-decval); }                                             /* decval         */
code span.er { color: var(--syntax-error); font-weight: bold; }                           /* error          */
code span.ex { color: var(--syntax-extension); }                                          /* extension      */
code span.fl { color: var(--syntax-float); }                                              /* float          */
code span.fu { color: var(--syntax-function); }                                           /* function       */
code span.im { color: var(--syntax-import); font-weight: bold; }                          /* import         */
code span.in { color: var(--syntax-information); font-weight: bold; font-style: italic; } /* information    */
code span.kw { color: var(--syntax-keyword); font-weight: bold; }                         /* keyword        */
code span.op { color: var(--syntax-operator); }                                           /* operator       */
code span.ot { color: var(--syntax-other); }                                              /* other          */
code span.pp { color: var(--syntax-preprocessor); }                                       /* preprocessor   */
code span.sc { color: var(--syntax-specialchar); }                                        /* specialchar    */
code span.ss { color: var(--syntax-specialstring); }                                      /* specialstring  */
code span.st { color: var(--syntax-string); }                                             /* string         */
code span.va { color: var(--syntax-variable); }                                           /* variable       */
code span.vs { color: var(--syntax-verbatimstring); }                                     /* verbatimstring */
code span.wa { color: var(--syntax-warning); font-weight: bold; font-style: italic; }     /* warning        */

body {
  background-color: #fafafb;
}

body,
header {
  transition: background-color 0.5s;
}

header {
  border-bottom: 1px solid transparent;
  color: #333;
  height: 60px;
  line-height: 60px;
}

footer {
  padding: 20px 0;
}

address {
  font-style: normal;
}

figure {
  margin-left: 0;
  margin-right: 0;
  text-align: center;
}

p img, figure img {
  height: auto;
  max-width: 100%;
}

dt, strong {
  font-weight: bold;
}

pre {
  background-color: #f7f7f9;
  border: 1px solid #e1e1e8;
  padding: 8px;
}

pre.linenums {
  box-shadow: inset 40px 0 0 #fbfbfc, inset 41px 0 0 #ececf0;
}

table:has(> caption) {
  margin-top: 20px;
}

table caption {
  text-align: left;
  width: 100%;
}

tbody td {
  vertical-align: top;
}

tbody td:nth-child(n + 2),
thead th:nth-child(n + 2) {
  padding-left: 1em;
}

tbody td code {
  white-space: nowrap;
}

thead th {
  text-align: left;
  white-space: nowrap;
}

thead tr {
  border-bottom: 1px solid #f1f1f1;
}

.navbar-brand {
  font-size: 24px;
}

.logo {
  display: block;
  float: left;
  margin-top: 20px;
  margin-right: 10px;
  width: 180px;
  height: auto;
}

.sidebar {
  padding-top: 32px;
  padding-bottom: 32px;
}
.sidebar > h5 {
  margin-bottom: 8px;
}
.sidebar > h5:first-of-type {
  margin-top: 0;
}
.sidebar > ul {
  top: 32px;
  list-style: none;
  padding: 0;
  margin: 0;
}
.sidebar > ul > li {
  position: relative;
  display: block;
}
.sidebar > ul > li + li {
  margin-top: 2px;
}
.sidebar > ul > li > a {
  position: relative;
  display: block;
  padding: 8px 12px;
  border-radius: 4px;
  font-size: 16px;
  color: #656565;
}
.sidebar > ul > li > a:hover, .sidebar > ul > li > a:focus, .sidebar > ul > li > a:active {
  text-decoration: none;
  background-color: #eee;
}

.content > section {
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 5px 10px -7px rgba(87, 53, 117, 0.13), 0 10px 20px -6px rgba(0, 60, 170, 0.1);
  margin: 16px 0;
  padding: 32px;
}
.content > section > h2 {
  border-bottom: 1px solid #f1f1f1;
  margin-top: 50px;
  padding-bottom: 10px;
}

.grid-box {
  margin: 10px 0;
  text-align: center;
  background-color: #ffeeed;
  line-height: 2;
  border: 1px solid #ffb7b5;
  border-radius: 4px;
}
.grid-box:hover {
  background-color: #fbe2e1;
}

.palette {
  border-radius: 4px;
  min-height: 100px;
  margin-bottom: 15px;
  padding: 10px;
  color: #fff;
  font-weight: bold;
}
.palette small {
  color: #fff;
}

.com {
  color: #93a1a1;
}

.lit {
  color: #195f91;
}

.pun,
.opn,
.clo {
  color: #93a1a1;
}

.fun {
  color: #dc322f;
}

.str,
.atv {
  color: #d14;
}

.kwd,
.linenums .tag {
  color: #1e347b;
}

.typ,
.atn,
.dec,
.var {
  color: teal;
}

.pln {
  color: #48484c;
}

/* Specify class=linenums on a pre to get line numbering */
ol.linenums {
  margin: 0 0 0 33px;
  /* IE indents via margin-left */
}

ol.linenums li {
  padding-left: 12px;
  color: #bebec5;
  line-height: 18px;
  text-shadow: 0 1px 0 #fff;
}

.support {
  text-align: center;
}

.support img {
  display: inline-block;
  margin: 0 1em 0 1em;
  vertical-align: middle;
}

/*!
 * snack-helper - v2.0.0
 * A universal CSS helper library.
 * https://nzbin.github.io/snack-helper/
 *
 * Copyright (c) 2017 nzbin
 * Released under MIT License
 */

.text-white {
  color: white !important;
}

.text-black {
  color: #2d353c !important;
}

.text-gray {
  color: #969696 !important;
}

.text-gray-light {
  color: #bcbcbc !important;
}

.text-gray-lighter {
  color: #d6d6d6 !important;
}

.text-gray-lightest {
  color: #efefef !important;
}

.text-gray-dark {
  color: #707070 !important;
}

.text-gray-darker {
  color: #565656 !important;
}

.text-gray-darkest {
  color: #3d3d3d !important;
}

.text-brown {
  color: #a57868 !important;
}

.text-brown-light {
  color: #c2a398 !important;
}

.text-brown-lighter {
  color: #d5bfb8 !important;
}

.text-brown-lightest {
  color: #e8dcd8 !important;
}

.text-brown-dark {
  color: #795548 !important;
}

.text-brown-darker {
  color: #593e35 !important;
}

.text-brown-darkest {
  color: #392822 !important;
}

.text-red {
  color: #ff291d !important;
}

.text-red-light {
  color: #ff716a !important;
}

.text-red-lighter {
  color: #ffa29d !important;
}

.text-red-lightest {
  color: #ffd2d0 !important;
}

.text-red-dark {
  color: #d00b00 !important;
}

.text-red-darker {
  color: #9d0800 !important;
}

.text-red-darkest {
  color: #6a0600 !important;
}

.text-orange {
  color: #ff9500 !important;
}

.text-orange-light {
  color: #ffb54d !important;
}

.text-orange-lighter {
  color: #ffca80 !important;
}

.text-orange-lightest {
  color: #ffdfb3 !important;
}

.text-orange-dark {
  color: #b36800 !important;
}

.text-orange-darker {
  color: #804b00 !important;
}

.text-orange-darkest {
  color: #4d2d00 !important;
}

.text-yellow {
  color: #ffe70e !important;
}

.text-yellow-light {
  color: #ffef5b !important;
}

.text-yellow-lighter {
  color: #fff48e !important;
}

.text-yellow-lightest {
  color: #fff9c1 !important;
}

.text-yellow-dark {
  color: #c1ad00 !important;
}

.text-yellow-darker {
  color: #8e7f00 !important;
}

.text-yellow-darkest {
  color: #5b5100 !important;
}

.text-green {
  color: #4cd964 !important;
}

.text-green-light {
  color: #8be69b !important;
}

.text-green-lighter {
  color: #b5efbf !important;
}

.text-green-lightest {
  color: #dff8e4 !important;
}

.text-green-dark {
  color: #26b33e !important;
}

.text-green-darker {
  color: #1d892f !important;
}

.text-green-darkest {
  color: #145e21 !important;
}

.text-teal {
  color: #18e0cd !important;
}

.text-teal-light {
  color: #57eddf !important;
}

.text-teal-lighter {
  color: #86f2e8 !important;
}

.text-teal-lightest {
  color: #b4f7f1 !important;
}

.text-teal-dark {
  color: #119b8e !important;
}

.text-teal-darker {
  color: #0c6d64 !important;
}

.text-teal-darkest {
  color: #073f39 !important;
}

.text-blue {
  color: #007aff !important;
}

.text-blue-light {
  color: #4da2ff !important;
}

.text-blue-lighter {
  color: #80bdff !important;
}

.text-blue-lightest {
  color: #b3d7ff !important;
}

.text-blue-dark {
  color: #0055b3 !important;
}

.text-blue-darker {
  color: #003d80 !important;
}

.text-blue-darkest {
  color: #00254d !important;
}

.text-indigo {
  color: #5f6ec7 !important;
}

.text-indigo-light {
  color: #98a1db !important;
}

.text-indigo-lighter {
  color: #bdc4e8 !important;
}

.text-indigo-lightest {
  color: #e3e6f5 !important;
}

.text-indigo-dark {
  color: #3847a1 !important;
}

.text-indigo-darker {
  color: #2b377b !important;
}

.text-indigo-darkest {
  color: #1e2656 !important;
}

.text-purple {
  color: #af2ec5 !important;
}

.text-purple-light {
  color: #ca65db !important;
}

.text-purple-lighter {
  color: #d88ee5 !important;
}

.text-purple-lightest {
  color: #e6b7ee !important;
}

.text-purple-dark {
  color: #782087 !important;
}

.text-purple-darker {
  color: #53165e !important;
}

.text-purple-darkest {
  color: #2e0c34 !important;
}

.text-pink {
  color: #ff3069 !important;
}

.text-pink-light {
  color: #ff7da0 !important;
}

.text-pink-lighter {
  color: #ffb0c5 !important;
}

.text-pink-lightest {
  color: #ffe3ea !important;
}

.text-pink-dark {
  color: #e3003e !important;
}

.text-pink-darker {
  color: #b00030 !important;
}

.text-pink-darkest {
  color: #7d0022 !important;
}

.bg-white {
  background-color: white !important;
}

.bg-black {
  background-color: #2d353c !important;
}

.bg-transparent {
  background-color: transparent !important;
}

.bg-gray {
  background-color: #969696 !important;
}

.bg-gray-light {
  background-color: #bcbcbc !important;
}

.bg-gray-lighter {
  background-color: #d6d6d6 !important;
}

.bg-gray-lightest {
  background-color: #efefef !important;
}

.bg-gray-dark {
  background-color: #707070 !important;
}

.bg-gray-darker {
  background-color: #565656 !important;
}

.bg-gray-darkest {
  background-color: #3d3d3d !important;
}

.bg-brown {
  background-color: #a57868 !important;
}

.bg-brown-light {
  background-color: #c2a398 !important;
}

.bg-brown-lighter {
  background-color: #d5bfb8 !important;
}

.bg-brown-lightest {
  background-color: #e8dcd8 !important;
}

.bg-brown-dark {
  background-color: #795548 !important;
}

.bg-brown-darker {
  background-color: #593e35 !important;
}

.bg-brown-darkest {
  background-color: #392822 !important;
}

.bg-red {
  background-color: #ff291d !important;
}

.bg-red-light {
  background-color: #ff716a !important;
}

.bg-red-lighter {
  background-color: #ffa29d !important;
}

.bg-red-lightest {
  background-color: #ffd2d0 !important;
}

.bg-red-dark {
  background-color: #d00b00 !important;
}

.bg-red-darker {
  background-color: #9d0800 !important;
}

.bg-red-darkest {
  background-color: #6a0600 !important;
}

.bg-orange {
  background-color: #ff9500 !important;
}

.bg-orange-light {
  background-color: #ffb54d !important;
}

.bg-orange-lighter {
  background-color: #ffca80 !important;
}

.bg-orange-lightest {
  background-color: #ffdfb3 !important;
}

.bg-orange-dark {
  background-color: #b36800 !important;
}

.bg-orange-darker {
  background-color: #804b00 !important;
}

.bg-orange-darkest {
  background-color: #4d2d00 !important;
}

.bg-yellow {
  background-color: #ffe70e !important;
}

.bg-yellow-light {
  background-color: #ffef5b !important;
}

.bg-yellow-lighter {
  background-color: #fff48e !important;
}

.bg-yellow-lightest {
  background-color: #fff9c1 !important;
}

.bg-yellow-dark {
  background-color: #c1ad00 !important;
}

.bg-yellow-darker {
  background-color: #8e7f00 !important;
}

.bg-yellow-darkest {
  background-color: #5b5100 !important;
}

.bg-green {
  background-color: #4cd964 !important;
}

.bg-green-light {
  background-color: #8be69b !important;
}

.bg-green-lighter {
  background-color: #b5efbf !important;
}

.bg-green-lightest {
  background-color: #dff8e4 !important;
}

.bg-green-dark {
  background-color: #26b33e !important;
}

.bg-green-darker {
  background-color: #1d892f !important;
}

.bg-green-darkest {
  background-color: #145e21 !important;
}

.bg-teal {
  background-color: #18e0cd !important;
}

.bg-teal-light {
  background-color: #57eddf !important;
}

.bg-teal-lighter {
  background-color: #86f2e8 !important;
}

.bg-teal-lightest {
  background-color: #b4f7f1 !important;
}

.bg-teal-dark {
  background-color: #119b8e !important;
}

.bg-teal-darker {
  background-color: #0c6d64 !important;
}

.bg-teal-darkest {
  background-color: #073f39 !important;
}

.bg-blue {
  background-color: #007aff !important;
}

.bg-blue-light {
  background-color: #4da2ff !important;
}

.bg-blue-lighter {
  background-color: #80bdff !important;
}

.bg-blue-lightest {
  background-color: #b3d7ff !important;
}

.bg-blue-dark {
  background-color: #0055b3 !important;
}

.bg-blue-darker {
  background-color: #003d80 !important;
}

.bg-blue-darkest {
  background-color: #00254d !important;
}

.bg-indigo {
  background-color: #5f6ec7 !important;
}

.bg-indigo-light {
  background-color: #98a1db !important;
}

.bg-indigo-lighter {
  background-color: #bdc4e8 !important;
}

.bg-indigo-lightest {
  background-color: #e3e6f5 !important;
}

.bg-indigo-dark {
  background-color: #3847a1 !important;
}

.bg-indigo-darker {
  background-color: #2b377b !important;
}

.bg-indigo-darkest {
  background-color: #1e2656 !important;
}

.bg-purple {
  background-color: #af2ec5 !important;
}

.bg-purple-light {
  background-color: #ca65db !important;
}

.bg-purple-lighter {
  background-color: #d88ee5 !important;
}

.bg-purple-lightest {
  background-color: #e6b7ee !important;
}

.bg-purple-dark {
  background-color: #782087 !important;
}

.bg-purple-darker {
  background-color: #53165e !important;
}

.bg-purple-darkest {
  background-color: #2e0c34 !important;
}

.bg-pink {
  background-color: #ff3069 !important;
}

.bg-pink-light {
  background-color: #ff7da0 !important;
}

.bg-pink-lighter {
  background-color: #ffb0c5 !important;
}

.bg-pink-lightest {
  background-color: #ffe3ea !important;
}

.bg-pink-dark {
  background-color: #e3003e !important;
}

.bg-pink-darker {
  background-color: #b00030 !important;
}

.bg-pink-darkest {
  background-color: #7d0022 !important;
}

.f-s-0 {
  font-size: 0 !important;
}

.f-s-10 {
  font-size: 0.625rem !important;
}

.f-s-12 {
  font-size: 0.75rem !important;
}

.f-s-14 {
  font-size: 0.875rem !important;
}

.f-s-16 {
  font-size: 1rem !important;
}

.f-s-18 {
  font-size: 1.125rem !important;
}

.f-s-20 {
  font-size: 1.25rem !important;
}

.f-s-24 {
  font-size: 1.5rem !important;
}

.f-s-32 {
  font-size: 2rem !important;
}

.f-w-100 {
  font-weight: 100 !important;
}

.f-w-200 {
  font-weight: 200 !important;
}

.f-w-300 {
  font-weight: 300 !important;
}

.f-w-400 {
  font-weight: 400 !important;
}

.f-w-500 {
  font-weight: 500 !important;
}

.f-w-600 {
  font-weight: 600 !important;
}

.f-w-700 {
  font-weight: 700 !important;
}

.f-w-800 {
  font-weight: 800 !important;
}

.f-w-900 {
  font-weight: 900 !important;
}

.text-capitalize {
  text-transform: capitalize !important;
}

.text-uppercase {
  text-transform: uppercase !important;
}

.text-lowercase {
  text-transform: lowercase !important;
}

.text-center {
  text-align: center !important;
}

.text-right {
  text-align: right !important;
}

.text-left {
  text-align: left !important;
}

.text-wrap {
  white-space: normal !important;
}

.text-nowrap {
  white-space: nowrap !important;
}

.text-ellipsis {
  text-overflow: ellipsis !important;
}

.m-0 {
  margin: 0 !important;
}

.m-4 {
  margin: 0.25rem !important;
}

.m-8 {
  margin: 0.5rem !important;
}

.m-12 {
  margin: 0.75rem !important;
}

.m-16 {
  margin: 1rem !important;
}

.m-24 {
  margin: 1.5rem !important;
}

.m-32 {
  margin: 2rem !important;
}

.m-48 {
  margin: 3rem !important;
}

.m-auto {
  margin: auto !important;
}

.m-x-0 {
  margin-left: 0 !important;
  margin-right: 0 !important;
}

.m-x-4 {
  margin-left: 0.25rem !important;
  margin-right: 0.25rem !important;
}

.m-x-8 {
  margin-left: 0.5rem !important;
  margin-right: 0.5rem !important;
}

.m-x-12 {
  margin-left: 0.75rem !important;
  margin-right: 0.75rem !important;
}

.m-x-16 {
  margin-left: 1rem !important;
  margin-right: 1rem !important;
}

.m-x-24 {
  margin-left: 1.5rem !important;
  margin-right: 1.5rem !important;
}

.m-x-32 {
  margin-left: 2rem !important;
  margin-right: 2rem !important;
}

.m-x-48 {
  margin-left: 3rem !important;
  margin-right: 3rem !important;
}

.m-x-auto {
  margin-left: auto !important;
  margin-right: auto !important;
}

.m-y-0 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

.m-y-4 {
  margin-top: 0.25rem !important;
  margin-bottom: 0.25rem !important;
}

.m-y-8 {
  margin-top: 0.5rem !important;
  margin-bottom: 0.5rem !important;
}

.m-y-12 {
  margin-top: 0.75rem !important;
  margin-bottom: 0.75rem !important;
}

.m-y-16 {
  margin-top: 1rem !important;
  margin-bottom: 1rem !important;
}

.m-y-24 {
  margin-top: 1.5rem !important;
  margin-bottom: 1.5rem !important;
}

.m-y-32 {
  margin-top: 2rem !important;
  margin-bottom: 2rem !important;
}

.m-y-48 {
  margin-top: 3rem !important;
  margin-bottom: 3rem !important;
}

.m-y-auto {
  margin-top: auto !important;
  margin-bottom: auto !important;
}

.m-t-0 {
  margin-top: 0 !important;
}

.m-t-4 {
  margin-top: 0.25rem !important;
}

.m-t-8 {
  margin-top: 0.5rem !important;
}

.m-t-12 {
  margin-top: 0.75rem !important;
}

.m-t-16 {
  margin-top: 1rem !important;
}

.m-t-24 {
  margin-top: 1.5rem !important;
}

.m-t-32 {
  margin-top: 2rem !important;
}

.m-t-48 {
  margin-top: 3rem !important;
}

.m-t-auto {
  margin-top: auto !important;
}

.m-r-0 {
  margin-right: 0 !important;
}

.m-r-4 {
  margin-right: 0.25rem !important;
}

.m-r-8 {
  margin-right: 0.5rem !important;
}

.m-r-12 {
  margin-right: 0.75rem !important;
}

.m-r-16 {
  margin-right: 1rem !important;
}

.m-r-24 {
  margin-right: 1.5rem !important;
}

.m-r-32 {
  margin-right: 2rem !important;
}

.m-r-48 {
  margin-right: 3rem !important;
}

.m-r-auto {
  margin-right: auto !important;
}

.m-b-0 {
  margin-bottom: 0 !important;
}

.m-b-4 {
  margin-bottom: 0.25rem !important;
}

.m-b-8 {
  margin-bottom: 0.5rem !important;
}

.m-b-12 {
  margin-bottom: 0.75rem !important;
}

.m-b-16 {
  margin-bottom: 1rem !important;
}

.m-b-24 {
  margin-bottom: 1.5rem !important;
}

.m-b-32 {
  margin-bottom: 2rem !important;
}

.m-b-48 {
  margin-bottom: 3rem !important;
}

.m-b-auto {
  margin-bottom: auto !important;
}

.m-l-0 {
  margin-left: 0 !important;
}

.m-l-4 {
  margin-left: 0.25rem !important;
}

.m-l-8 {
  margin-left: 0.5rem !important;
}

.m-l-12 {
  margin-left: 0.75rem !important;
}

.m-l-16 {
  margin-left: 1rem !important;
}

.m-l-24 {
  margin-left: 1.5rem !important;
}

.m-l-32 {
  margin-left: 2rem !important;
}

.m-l-48 {
  margin-left: 3rem !important;
}

.m-l-auto {
  margin-left: auto !important;
}

.m--4 {
  margin: -0.25rem !important;
}

.m--8 {
  margin: -0.5rem !important;
}

.m--12 {
  margin: -0.75rem !important;
}

.m--16 {
  margin: -1rem !important;
}

.m--24 {
  margin: -1.5rem !important;
}

.m--32 {
  margin: -2rem !important;
}

.m--48 {
  margin: -3rem !important;
}

.m-x--4 {
  margin-left: -0.25rem !important;
  margin-right: -0.25rem !important;
}

.m-x--8 {
  margin-left: -0.5rem !important;
  margin-right: -0.5rem !important;
}

.m-x--12 {
  margin-left: -0.75rem !important;
  margin-right: -0.75rem !important;
}

.m-x--16 {
  margin-left: -1rem !important;
  margin-right: -1rem !important;
}

.m-x--24 {
  margin-left: -1.5rem !important;
  margin-right: -1.5rem !important;
}

.m-x--32 {
  margin-left: -2rem !important;
  margin-right: -2rem !important;
}

.m-x--48 {
  margin-left: -3rem !important;
  margin-right: -3rem !important;
}

.m-y--4 {
  margin-top: -0.25rem !important;
  margin-bottom: -0.25rem !important;
}

.m-y--8 {
  margin-top: -0.5rem !important;
  margin-bottom: -0.5rem !important;
}

.m-y--12 {
  margin-top: -0.75rem !important;
  margin-bottom: -0.75rem !important;
}

.m-y--16 {
  margin-top: -1rem !important;
  margin-bottom: -1rem !important;
}

.m-y--24 {
  margin-top: -1.5rem !important;
  margin-bottom: -1.5rem !important;
}

.m-y--32 {
  margin-top: -2rem !important;
  margin-bottom: -2rem !important;
}

.m-y--48 {
  margin-top: -3rem !important;
  margin-bottom: -3rem !important;
}

.m-t--4 {
  margin-top: -0.25rem !important;
}

.m-t--8 {
  margin-top: -0.5rem !important;
}

.m-t--12 {
  margin-top: -0.75rem !important;
}

.m-t--16 {
  margin-top: -1rem !important;
}

.m-t--24 {
  margin-top: -1.5rem !important;
}

.m-t--32 {
  margin-top: -2rem !important;
}

.m-t--48 {
  margin-top: -3rem !important;
}

.m-r--4 {
  margin-right: -0.25rem !important;
}

.m-r--8 {
  margin-right: -0.5rem !important;
}

.m-r--12 {
  margin-right: -0.75rem !important;
}

.m-r--16 {
  margin-right: -1rem !important;
}

.m-r--24 {
  margin-right: -1.5rem !important;
}

.m-r--32 {
  margin-right: -2rem !important;
}

.m-r--48 {
  margin-right: -3rem !important;
}

.m-b--4 {
  margin-bottom: -0.25rem !important;
}

.m-b--8 {
  margin-bottom: -0.5rem !important;
}

.m-b--12 {
  margin-bottom: -0.75rem !important;
}

.m-b--16 {
  margin-bottom: -1rem !important;
}

.m-b--24 {
  margin-bottom: -1.5rem !important;
}

.m-b--32 {
  margin-bottom: -2rem !important;
}

.m-b--48 {
  margin-bottom: -3rem !important;
}

.m-l--4 {
  margin-left: -0.25rem !important;
}

.m-l--8 {
  margin-left: -0.5rem !important;
}

.m-l--12 {
  margin-left: -0.75rem !important;
}

.m-l--16 {
  margin-left: -1rem !important;
}

.m-l--24 {
  margin-left: -1.5rem !important;
}

.m-l--32 {
  margin-left: -2rem !important;
}

.m-l--48 {
  margin-left: -3rem !important;
}

.p-0 {
  padding: 0 !important;
}

.p-4 {
  padding: 0.25rem !important;
}

.p-8 {
  padding: 0.5rem !important;
}

.p-12 {
  padding: 0.75rem !important;
}

.p-16 {
  padding: 1rem !important;
}

.p-24 {
  padding: 1.5rem !important;
}

.p-32 {
  padding: 2rem !important;
}

.p-48 {
  padding: 3rem !important;
}

.p-x-0 {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.p-x-4 {
  padding-left: 0.25rem !important;
  padding-right: 0.25rem !important;
}

.p-x-8 {
  padding-left: 0.5rem !important;
  padding-right: 0.5rem !important;
}

.p-x-12 {
  padding-left: 0.75rem !important;
  padding-right: 0.75rem !important;
}

.p-x-16 {
  padding-left: 1rem !important;
  padding-right: 1rem !important;
}

.p-x-24 {
  padding-left: 1.5rem !important;
  padding-right: 1.5rem !important;
}

.p-x-32 {
  padding-left: 2rem !important;
  padding-right: 2rem !important;
}

.p-x-48 {
  padding-left: 3rem !important;
  padding-right: 3rem !important;
}

.p-y-0 {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

.p-y-4 {
  padding-top: 0.25rem !important;
  padding-bottom: 0.25rem !important;
}

.p-y-8 {
  padding-top: 0.5rem !important;
  padding-bottom: 0.5rem !important;
}

.p-y-12 {
  padding-top: 0.75rem !important;
  padding-bottom: 0.75rem !important;
}

.p-y-16 {
  padding-top: 1rem !important;
  padding-bottom: 1rem !important;
}

.p-y-24 {
  padding-top: 1.5rem !important;
  padding-bottom: 1.5rem !important;
}

.p-y-32 {
  padding-top: 2rem !important;
  padding-bottom: 2rem !important;
}

.p-y-48 {
  padding-top: 3rem !important;
  padding-bottom: 3rem !important;
}

.p-t-0 {
  padding-top: 0 !important;
}

.p-t-4 {
  padding-top: 0.25rem !important;
}

.p-t-8 {
  padding-top: 0.5rem !important;
}

.p-t-12 {
  padding-top: 0.75rem !important;
}

.p-t-16 {
  padding-top: 1rem !important;
}

.p-t-24 {
  padding-top: 1.5rem !important;
}

.p-t-32 {
  padding-top: 2rem !important;
}

.p-t-48 {
  padding-top: 3rem !important;
}

.p-r-0 {
  padding-right: 0 !important;
}

.p-r-4 {
  padding-right: 0.25rem !important;
}

.p-r-8 {
  padding-right: 0.5rem !important;
}

.p-r-12 {
  padding-right: 0.75rem !important;
}

.p-r-16 {
  padding-right: 1rem !important;
}

.p-r-24 {
  padding-right: 1.5rem !important;
}

.p-r-32 {
  padding-right: 2rem !important;
}

.p-r-48 {
  padding-right: 3rem !important;
}

.p-b-0 {
  padding-bottom: 0 !important;
}

.p-b-4 {
  padding-bottom: 0.25rem !important;
}

.p-b-8 {
  padding-bottom: 0.5rem !important;
}

.p-b-12 {
  padding-bottom: 0.75rem !important;
}

.p-b-16 {
  padding-bottom: 1rem !important;
}

.p-b-24 {
  padding-bottom: 1.5rem !important;
}

.p-b-32 {
  padding-bottom: 2rem !important;
}

.p-b-48 {
  padding-bottom: 3rem !important;
}

.p-l-0 {
  padding-left: 0 !important;
}

.p-l-4 {
  padding-left: 0.25rem !important;
}

.p-l-8 {
  padding-left: 0.5rem !important;
}

.p-l-12 {
  padding-left: 0.75rem !important;
}

.p-l-16 {
  padding-left: 1rem !important;
}

.p-l-24 {
  padding-left: 1.5rem !important;
}

.p-l-32 {
  padding-left: 2rem !important;
}

.p-l-48 {
  padding-left: 3rem !important;
}

.w-0 {
  width: 0 !important;
}

.w-20 {
  width: 20% !important;
}

.w-25 {
  width: 25% !important;
}

.w-40 {
  width: 40% !important;
}

.w-50 {
  width: 50% !important;
}

.w-60 {
  width: 60% !important;
}

.w-75 {
  width: 75% !important;
}

.w-80 {
  width: 80% !important;
}

.w-full {
  width: 100% !important;
}

.w-auto {
  width: auto !important;
}

.h-0 {
  height: 0 !important;
}

.h-20 {
  height: 20% !important;
}

.h-25 {
  height: 25% !important;
}

.h-40 {
  height: 40% !important;
}

.h-50 {
  height: 50% !important;
}

.h-60 {
  height: 60% !important;
}

.h-75 {
  height: 75% !important;
}

.h-80 {
  height: 80% !important;
}

.h-full {
  height: 100% !important;
}

.h-auto {
  height: auto !important;
}

.shadow-none {
  box-shadow: none !important;
}

.shadow-1 {
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12), 0 1px 2px 0 rgba(0, 0, 0, 0.06) !important;
}

.shadow-2 {
  box-shadow: 0 4px 8px -1px rgba(0, 0, 0, 0.12), 0 2px 4px -1px rgba(0, 0, 0, 0.06) !important;
}

.shadow-3 {
  box-shadow: 0 8px 16px -2px rgba(0, 0, 0, 0.12), 0 4px 8px -2px rgba(0, 0, 0, 0.06) !important;
}

.shadow-4 {
  box-shadow: 0 16px 32px -4px rgba(0, 0, 0, 0.12), 0 8px 16px -4px rgba(0, 0, 0, 0.06) !important;
}

.shadow-5 {
  box-shadow: 0 24px 48px -8px rgba(0, 0, 0, 0.12), 0 16px 32px -8px rgba(0, 0, 0, 0.06) !important;
}

.r-0 {
  border-radius: 0 !important;
}

.r-4 {
  border-radius: 0.25rem !important;
}

.r-8 {
  border-radius: 0.5rem !important;
}

.r-12 {
  border-radius: 0.75rem !important;
}

.r-16 {
  border-radius: 1rem !important;
}

.r-full {
  border-radius: 9999px !important;
}

.r-t-l-0 {
  border-top-left-radius: 0 !important;
}

.r-t-l-4 {
  border-top-left-radius: 0.25rem !important;
}

.r-t-l-8 {
  border-top-left-radius: 0.5rem !important;
}

.r-t-l-12 {
  border-top-left-radius: 0.75rem !important;
}

.r-t-l-16 {
  border-top-left-radius: 1rem !important;
}

.r-t-l-full {
  border-top-left-radius: 9999px !important;
}

.r-t-r-0 {
  border-top-right-radius: 0 !important;
}

.r-t-r-4 {
  border-top-right-radius: 0.25rem !important;
}

.r-t-r-8 {
  border-top-right-radius: 0.5rem !important;
}

.r-t-r-12 {
  border-top-right-radius: 0.75rem !important;
}

.r-t-r-16 {
  border-top-right-radius: 1rem !important;
}

.r-t-r-full {
  border-top-right-radius: 9999px !important;
}

.r-b-r-0 {
  border-bottom-right-radius: 0 !important;
}

.r-b-r-4 {
  border-bottom-right-radius: 0.25rem !important;
}

.r-b-r-8 {
  border-bottom-right-radius: 0.5rem !important;
}

.r-b-r-12 {
  border-bottom-right-radius: 0.75rem !important;
}

.r-b-r-16 {
  border-bottom-right-radius: 1rem !important;
}

.r-b-r-full {
  border-bottom-right-radius: 9999px !important;
}

.r-b-l-0 {
  border-bottom-left-radius: 0 !important;
}

.r-b-l-4 {
  border-bottom-left-radius: 0.25rem !important;
}

.r-b-l-8 {
  border-bottom-left-radius: 0.5rem !important;
}

.r-b-l-12 {
  border-bottom-left-radius: 0.75rem !important;
}

.r-b-l-16 {
  border-bottom-left-radius: 1rem !important;
}

.r-b-l-full {
  border-bottom-left-radius: 9999px !important;
}

.static {
  position: static !important;
}

.fixed {
  position: fixed !important;
}

.absolute {
  position: absolute !important;
}

.relative {
  position: relative !important;
}

.sticky {
  position: sticky !important;
}

.overflow-auto {
  overflow: auto !important;
}

.overflow-hidden {
  overflow: hidden !important;
}

.overflow-visible {
  overflow: visible !important;
}

.overflow-scroll {
  overflow: scroll !important;
}

.overflow-x-hidden {
  overflow-x: hidden !important;
}

.overflow-x-visible {
  overflow-x: visible !important;
}

.overflow-x-scroll {
  overflow-x: scroll !important;
}

.overflow-y-hidden {
  overflow-y: hidden !important;
}

.overflow-y-visible {
  overflow-y: visible !important;
}

.overflow-y-scroll {
  overflow-y: scroll !important;
}

.float-left {
  float: left !important;
}

.float-right {
  float: right !important;
}

.float-none {
  float: none !important;
}

.flex-row {
  flex-direction: row !important;
}

.flex-row-reverse {
  flex-direction: row-reverse !important;
}

.flex-col {
  flex-direction: column !important;
}

.flex-col-reverse {
  flex-direction: column-reverse !important;
}

.flex-wrap {
  flex-wrap: wrap !important;
}

.flex-nowrap {
  flex-wrap: nowrap !important;
}

.flex-wrap-reverse {
  flex-wrap: wrap-reverse !important;
}

.justify-content-start {
  justify-content: flex-start !important;
}

.justify-content-end {
  justify-content: flex-end !important;
}

.justify-content-center {
  justify-content: center !important;
}

.justify-content-between {
  justify-content: space-between !important;
}

.justify-content-around {
  justify-content: space-around !important;
}

.align-content-start {
  align-content: flex-start !important;
}

.align-content-end {
  align-content: flex-end !important;
}

.align-content-center {
  align-content: center !important;
}

.align-content-between {
  align-content: space-between !important;
}

.align-content-around {
  align-content: space-around !important;
}

.align-content-stretch {
  align-content: stretch !important;
}

.align-items-start {
  align-items: flex-start !important;
}

.align-items-end {
  align-items: flex-end !important;
}

.align-items-center {
  align-items: center !important;
}

.align-items-baseline {
  align-items: baseline !important;
}

.align-items-stretch {
  align-items: stretch !important;
}

.align-self-auto {
  align-self: auto !important;
}

.align-self-start {
  align-self: flex-start !important;
}

.align-self-end {
  align-self: flex-end !important;
}

.align-self-center {
  align-self: center !important;
}

.align-self-baseline {
  align-self: baseline !important;
}

.align-self-stretch {
  align-self: stretch !important;
}

.d-block {
  display: block !important;
}

.d-inline-block {
  display: inline-block !important;
}

.d-inline {
  display: inline !important;
}

.d-flex {
  display: flex !important;
}

.d-inline-flex {
  display: inline-flex !important;
}

.d-none {
  display: none !important;
}

.b-0 {
  border: 0 !important;
}

.b-1 {
  border: 1px solid rgba(0, 0, 0, 0.12) !important;
}

.b-2 {
  border: 2px solid rgba(0, 0, 0, 0.12) !important;
}

.b-4 {
  border: 4px solid rgba(0, 0, 0, 0.12) !important;
}

.b-8 {
  border: 8px solid rgba(0, 0, 0, 0.12) !important;
}

.b-t-0 {
  border-top: 0 !important;
}

.b-t-1 {
  border-top: 1px solid rgba(0, 0, 0, 0.12) !important;
}

.b-t-2 {
  border-top: 2px solid rgba(0, 0, 0, 0.12) !important;
}

.b-t-4 {
  border-top: 4px solid rgba(0, 0, 0, 0.12) !important;
}

.b-t-8 {
  border-top: 8px solid rgba(0, 0, 0, 0.12) !important;
}

.b-b-0 {
  border-bottom: 0 !important;
}

.b-b-1 {
  border-bottom: 1px solid rgba(0, 0, 0, 0.12) !important;
}

.b-b-2 {
  border-bottom: 2px solid rgba(0, 0, 0, 0.12) !important;
}

.b-b-4 {
  border-bottom: 4px solid rgba(0, 0, 0, 0.12) !important;
}

.b-b-8 {
  border-bottom: 8px solid rgba(0, 0, 0, 0.12) !important;
}

.b-r-0 {
  border-right: 0 !important;
}

.b-r-1 {
  border-right: 1px solid rgba(0, 0, 0, 0.12) !important;
}

.b-r-2 {
  border-right: 2px solid rgba(0, 0, 0, 0.12) !important;
}

.b-r-4 {
  border-right: 4px solid rgba(0, 0, 0, 0.12) !important;
}

.b-r-8 {
  border-right: 8px solid rgba(0, 0, 0, 0.12) !important;
}

.b-l-0 {
  border-left: 0 !important;
}

.b-l-1 {
  border-left: 1px solid rgba(0, 0, 0, 0.12) !important;
}

.b-l-2 {
  border-left: 2px solid rgba(0, 0, 0, 0.12) !important;
}

.b-l-4 {
  border-left: 4px solid rgba(0, 0, 0, 0.12) !important;
}

.b-l-8 {
  border-left: 8px solid rgba(0, 0, 0, 0.12) !important;
}

.align-top {
  vertical-align: top !important;
}

.align-middle {
  vertical-align: middle !important;
}

.align-bottom {
  vertical-align: bottom !important;
}
